Import-Module -Name "$PSScriptRoot\Set-Window.ps1"

$res = @(get-wmiobject -class win32_videocontroller)[0].currenthorizontalresolution;
if ($res -le 1920) {
    Write-Output "Your screen resolution must be at least 1920 pixels wide to use this overlay.";
    Pause;
    Exit;
}

[void][reflection.assembly]::LoadWithPartialName("System.Windows.Forms");

$img = [System.Drawing.Image]::Fromfile("overlay.png");

$handler_form_Load = {
    $form.Top = "10";
	$form.Left += "2";
}

$form = New-Object Windows.Forms.Form;
$form.Text = "Overlay for SID Factory II";
$form.AutoSize = $True;
$form.StartPosition = "CenterScreen";

$pictureBox = New-Object Windows.Forms.PictureBox;
$pictureBox.SizeMode = "Zoom";
$pictureBox.Width =  $img.Size.Width / 1.5;
$pictureBox.Height =  $img.Size.Height / 1.5;
$pictureBox.Image = $img;

$form.controls.add($pictureBox);
$form.Add_Shown( { $form.Activate() } );
$form.Add_Load($handler_form_Load);

$form.Show();

cd..
Start-Process -FilePath "SIDFactoryII.exe";
$sf2 = get-process SIDFactoryII;
Start-Sleep -Milliseconds 200;
$sf2 | Set-Window -Y 245;

Wait-Process -InputObject $sf2;